Bug 122632 - program mounts fail when any export is unmountable
program mounts fail when any export is unmountable
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Feist
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 10:44 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 17:12:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2004-05-06 10:44:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Debian/1.5-3

Description of problem:
If a server exports a directory which is not mount-able by the client,
then autofs will fail the program mount, even though the requested
directory is mountable from the client.

Version-Release number of selected component (if applicable):
autofs-4.1.1 and beyond

How reproducible:
Always

Steps to Reproduce:
1.export directory /foo/bar, and ensure it is not mountable by your
client (export only to another machine)
2.export a director /foo/baz which your client has access to
3.try to cd to /net/foo/baz
    

Actual Results:  mount fails

Expected Results:  mount succeeds

Additional info:
Comment 1 Jeffrey Moyer 2005-07-26 09:10:56 EDT
Chris, this may be a dup of one of the bugs you're working on.
Comment 2 Chris Feist 2005-10-11 17:12:13 EDT
I'm unable to replicate this problem with fc4.  If you find this problem still
exists please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.